stages:          # List of stages for jobs, and their order of execution
  - build
  - test

image: docker:19-dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_TLS_CERTDIR: ""

services:
  - docker:19-dind

before_script:
  - docker info

build:
  stage: build
  script:
    - echo "Building"
    - docker login -u la-north-2@1U5QE7OXNUMVMZ26BORW -p 055b85827cb3dc57e23cf6bbad6f9a27e89fb57418830b5732bdb018ccb4d980 swr.la-north-2.myhuaweicloud.com
    - docker build -t swr.la-north-2.myhuaweicloud.com/testing_inc/webserver:$CI_PIPELINE_ID .
    - docker push swr.la-north-2.myhuaweicloud.com/testing_inc/webserver:$CI_PIPELINE_ID
    - echo "Building stage finished"

test:
  stage: test
  script:
    - echo "Testing"